---
title: Get StandartizedMaterialCustomField list
slug: get-standartizedmaterialcustomfield-list
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "0vSdjeAfOuSPEAXvJdQPG",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/customfields/standartizedmaterials",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/customfields/standartizedmaterials"
      }
    ],
    "name": "Get StandartizedMaterialCustomField list",
    "description": "This endpoint allows to get standartized material custom fields\n\nIf you want to update Standartized Custom Field values using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with test values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "version",
          "type": "string",
          "description": "<p>Filter data by given timestamp.\n*                             (WHERE table.version > </p><div></div>).<p></p>",
          "default": "0",
          "pattern": "\\d+"
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "string",
          "description": "Page number.",
          "default": "1",
          "pattern": "\\d+"
        },
        {
          "kind": "optional",
          "name": "items",
          "type": "string",
          "description": "<p>Items per page 100/200/300.</p>",
          "default": "100",
          "pattern": "(100|200|300)"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "next_page",
                "kind": "optional",
                "type": "integer",
                "description": "<p>0 if no more pages\n*                                                  exists</p>"
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "integer",
                    "description": ""
                  },
                  {
                    "name": "required",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "visible",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "data",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "updated",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "deleted",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "SDdm06RJwLTcj5osIGscz",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://dev1.frontu.com//client/api/v2/customfields/standartizedmaterials?version=0&page=1&items=100' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "HLblZMB8ZsXNAuyZv4Ccz",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/customfields/standartizedmaterials?version=0&page=1&items=100\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PhnOCylmLz5DeN3or7K-K",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/customfields/standartizedmaterials?version=0&page=1&items=100\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "x-th9R65S1ClpdqtLpGtj",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/customfields/standartizedmaterials?version=0&page=1&items=100\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "SDdm06RJwLTcj5osIGscz"
    },
    "results": {
      "languages": [
        {
          "id": "ctD8Up0Z_dFlcSBxiGEhR",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"title\": \"\",\n      \"type\": 0,\n      \"required\": false,\n      \"visible\": false,\n      \"data\": \"\",\n      \"guid\": \"\",\n      \"created\": \"\",\n      \"updated\": \"\",\n      \"deleted\": false\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "ctD8Up0Z_dFlcSBxiGEhR"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}